Subject: Re: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: Juri Linkov <[email-masked]>
Date: Thu, 23 Dec 2010 19:48:05 +0000

> Juri might mention that there are few keys available. ;-)

Yes, there are plenty of keys available :-)

Most often I use the key sequence `C-s M-e C-y C-s' because it allows to
edit the search string before searching.  But of course, `C-y' is the
best key when it's known that the exact search string is in the kill-ring.

The question is what key to use for `isearch-yank-line' instead of `C-y'.

> One possibility might be `C-u C-y' (since the C-u behavior for C-y doesn't apply
> during isearch)

Another possibility is `C-u C-w' because I noticed that I mostly use
`C-y' (with its current binding `isearch-yank-line') after a sequence of
`C-w's, i.e. switching from words to larger units - lines.  Maybe
`C-u C-w C-w C-w C-w ...' should `isearch-yank-line' for multiple lines.